Package org.apache.cxf.interceptor.security

# Class AbstractUsernameTokenInInterceptor

java.lang.Object
org.apache.cxf.phase.AbstractPhaseInterceptor<Message>
org.apache.cxf.interceptor.security.AbstractSecurityContextInInterceptor
org.apache.cxf.interceptor.security.AbstractUsernameTokenInInterceptor

All Implemented Interfaces:
  `Interceptor<Message>`, `PhaseInterceptor<Message>`

public abstract class AbstractUsernameTokenInInterceptor extends AbstractSecurityContextInInterceptor

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractUsernameTokenInInterceptor()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected Subject`
  `createSubject(SecurityToken token)`
  `protected abstract Subject`
  `createSubject(UsernameToken token)`

  ### Methods inherited from class org.apache.cxf.interceptor.security.AbstractSecurityContextInInterceptor

  `createSecurityContext, getPrincipal, handleMessage, reportSecurityException`

  ### Methods inherited from class org.apache.cxf.phase.AbstractPhaseInterceptor

  `addAfter, addAfter, addBefore, addBefore, getAdditionalInterceptors, getAfter, getBefore, getId, getPhase, handleFault, isGET, isRequestor, setAfter, setBefore`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AbstractUsernameTokenInInterceptor

    public AbstractUsernameTokenInInterceptor()

- ## Method Details

  - ### createSubject

    protected Subject createSubject(SecurityToken token)
    Specified by:
      `createSubject` in class `AbstractSecurityContextInInterceptor`

  - ### createSubject

    protected abstract Subject createSubject(UsernameToken token)